<?php
include("../sistem/cfg.dat");
include("../sistem/cfg_forum.dat");
include("../sistem/global.dat");
include("../sistem/functions_txt.dat");
include("../temes/$teme/verh.dat");


echo'<div class="razd"><B>Форум</B></div>';
if($status=="uzer" || $status=="gost")
{
   echo'Вам запрещено здесь находится<br>';
}

if(isset($_POST['t'])){$t = $_POST['t'];}
if(isset($_GET['t'])){$t = $_GET['t'];}
if(isset($_POST['param_member'])){$param_member = $_POST['param_member'];}
if(isset($_GET['param_member'])){$param_member = $_GET['param_member'];}
if(isset($_POST['txtsob'])){$txtsob = $_POST['txtsob'];}
if(isset($_GET['fid'])){$fid = $_GET['fid'];}
if(isset($_POST['fid'])){$fid = $_POST['fid'];}

///////////////////////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////Меню управления постами/////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////////////////////
if($status=="moder" || $status=="admin")
{
   
//////////////////////////////////////////////////удаляем пост///////////////////////////////////
   
   if($param_member=="post_dell")
   {
      echo'Удаление Поста<br>';
      echo'Вы уверены <a href="addtopik.php?t='.$t.'&amp;fid='.$fid.'&amp;param_member=post_dell_2&amp;'.SID.'">Да</a> <a href="topik.php?r='.$r.'&amp;t='.$t.'&amp;'.SID.'">Нет</a><br>';
   }
   if($param_member=="post_dell_2")
   {
      if(eregi("[^0-9]" , $t ))
      {
         echo'запрещённые символы<br>';
      }else
      {
         if(eregi("[^0-9]" , $fid ))
         {
            echo'запрещённые символы<br>';
         }else
         {
            if (file_exists("../data/forum/$t.tem") && file_exists("../data/forum/$t.topik"))//проверили существование темы
            {
               //удаление поста
               $str = file("../data/forum/$t.topik");
               $nom=count($str);
               //функция удаления строки из списка разделов
               $str[$fid] =str_replace($str[$fid],"",$str[$fid]);
               
               $i='0';
               $file_topik = fopen("../data/forum/$t.topik", "w+");
               flock ($file_topik,LOCK_EX);
               while($i < $nom)
               {
                  fputs($file_topik,$str[$i]);
                  ++$i;
               }
               flock ($file_topik,LOCK_UN);
               fclose($file_topik);
               @chmod("../data/forum/$t.topik", 0666);
               
               echo'Удалено <a href="topik.php?t='.$t.'&amp;'.SID.'">Далее</a><br>';
            }else{ echo'Тема не найдена<br>'; }
         }
      }
   }

//////////////////////////////////////////изменяем пост///////////////////////////////////////////////
   
   if($param_member=="post_izm")
   {
      if(eregi("[^0-9]" , $t ))
      {
         echo'запрещённые символы<br>';
      }else
      {
         if(eregi("[^0-9]" , $fid ))
         {
            echo'запрещённые символы<br>';
         }else
         {
            if(file_exists("../data/forum/$t.tem") && file_exists("../data/forum/$t.topik"))//проверили существование темы
            {
               //получаем параметры
               $str = file("../data/forum/$t.topik");
               $nom=count($str);
               $ar=explode("<||>",$str[$fid]);
               //генирирование в исходный текст для формы
               $ar[2] = off_smiles($ar[2]);
               $ar[2] = off_bb($ar[2]);
               $ar[2] =str_replace("<br>","\n",$ar[2]);
               //закончили системное генерирование
               echo'<B>Изменяем пост</B>';
               echo'<form name="forma" action="addtopik.php?'.SID.'" method="post">';
               echo'<INPUT TYPE="hidden" NAME="t" VALUE="'.$t.'">';
               echo'<INPUT TYPE="hidden" NAME="fid" VALUE="'.$fid.'">';
               echo'<INPUT TYPE="hidden" NAME="param_member" VALUE="post_izm_2">';
               echo'<TEXTAREA NAME="txtsob" ROWS=5 COLS=30>'.$ar[2].'</TEXTAREA><br>';
               echo'<input type="submit" name="" value="Изменить"><br></form>';
               
               echo'<a href="topik.php?t='.$t.'&amp;'.SID.'">назад</a><br>';
            }else{ echo'Тема не найдена<br>'; }
         }
      }
   }
   
   
   if($param_member=="post_izm_2")
   {
      if(eregi("[^0-9]" , $t ))
      {
         echo'запрещённые символы<br>';
      }else
      {
         if(eregi("[^0-9]" , $fid ))
         {
            echo'запрещённые символы<br>';
         }else
         {
            if(file_exists("../data/forum/$t.tem") && file_exists("../data/forum/$t.topik"))//проверили существование темы
            {
               //изменяем
               $str = file("../data/forum/$t.topik");
               $nom=count($str);
               $ar=explode("<||>",$str[$fid]);
               //Убираем не нужное
               $txtsob = htmlspecialchars($txtsob);
               $txtsob = str_replace("\n","<br>",$txtsob);
               $txtsob = trim($txtsob);
               $txtsob = smiles($txtsob);
               $txtsob = bb($txtsob);
               $txtsob = stripslashes($txtsob);//функция убираний слешей, обрабатывать только в последнюю очередь
               
               $kod = ''.$ar[0].'<||>'.$ar[1].'<||>'.$txtsob.'<br><font color="#FF0000">Изменено <B>'.$login.'</B> '.date("d.m.y H:i:s").'</font><||>';
               //функция замены строки из списка постов
               $str[$fid] =str_replace($str[$fid],$kod."\n",$str[$fid]);
               
               $i = 0;
               $file_topik = fopen("../data/forum/$t.topik", "w+");
               flock ($file_topik,LOCK_EX);
               while($i < $nom)
               {
                  fputs($file_topik,$str[$i]);
                  ++$i;
               }
               flock ($file_topik,LOCK_UN);
               fclose($file_topik);
               @chmod("../data/forum/$t.topik", 0666);
               
               echo'Изменено <a href="topik.php?&amp;t='.$t.'&amp;'.SID.'">Далее</a><br>';
            }else{ echo'Тема не найдена<br>'; }
         }
      }
   }
}


//////////////////////////////////////////////////Конец, спасибо за внимание/////////////////////////////////////////////////
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>